Show changes in moved paragraphs on most wikis
Closed, ResolvedPublic3 Story Points

Description

Motivation
Currently, the new wikidiff2 feature of showing moved paragraphs and its changes within is only visible on de-wiki. Now it should come to all other wikis whose languages are diffed on a word basis. Thai, unified han and japanese are diffed on character basis and will thus be treated in the next step.

Targeted SWAT slot
May 30th 2018, 3 pm UTC+2

Task

  • Change the config file to set the moved paragraph threshold up for all wikis but thai, unified han and japanese
  • Claim SWAT deploy window
  • SWAT deploy the change
Lea_WMDE created this task.May 23 2018, 1:27 PM
Lea_WMDE triaged this task as Normal priority.
Lea_WMDE renamed this task from PLACEHOLDER TICKET config change to Show changes in moved paragraphs on all wikis.May 23 2018, 2:13 PM
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE renamed this task from Show changes in moved paragraphs on all wikis to Show changes in moved paragraphs on most wikis.May 24 2018, 11:50 AM
Lea_WMDE updated the task description. (Show Details)
WMDE-Fisch claimed this task.

Change 436017 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[operations/mediawiki-config@master] Enable detection of changes in moved paragraphs on most wikis

https://gerrit.wikimedia.org/r/436017

WMDE-Fisch updated the task description. (Show Details)May 29 2018, 2:31 PM
WMDE-Fisch moved this task from Doing to Review on the WMDE-QWERTY-Sprint-2018-05-23 board.
He7d3r added a subscriber: He7d3r.May 29 2018, 6:32 PM

Change 436017 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable detection of changes in moved paragraphs on most wikis

https://gerrit.wikimedia.org/r/436017

Mentioned in SAL (#wikimedia-operations) [2018-05-30T13:12:31Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:436017|Enable detection of changes in moved paragraphs on most wikis (T195375)]] (duration: 01m 02s)

WMDE-Fisch updated the task description. (Show Details)May 30 2018, 2:01 PM
Lea_WMDE closed this task as Resolved.Jun 12 2018, 8:15 AM
Vvjjkkii renamed this task from Show changes in moved paragraphs on most wikis to 8fcaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii removed WMDE-Fisch as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot set the point value for this task to 3.Jul 2 2018, 4:40 AM
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot assigned this task to WMDE-Fisch.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot closed this task as Resolved.
CommunityTechBot renamed this task from 8fcaaaaaaa to Show changes in moved paragraphs on most wikis.
CommunityTechBot added subscribers: gerritbot, Aklapper.